<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;
use Symfony\Component\HttpFoundation\Response;

class VerifyPermission
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next, $acceptedPermission): Response
    {
        $nguoiDung = Session::all();
        if (($nguoiDung['VaiTro'] == 'SYSTEM_ADMIN' && $acceptedPermission != -1) || ($acceptedPermission == 0 && $nguoiDung['VaiTro'] == 'SYSTEM_ADMIN')){
            return $next($request);
        }
        if (($nguoiDung['VaiTro'] != 'SYSTEM_ADMIN' && $acceptedPermission == -1)){
            return $next($request);
        }
        return redirect('/admin');
    }
}
